﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Weasels
{
    abstract class Organism
    {
        private static int uoidCnt = 0;
        
        public readonly int UOID;

        public Organism()
        {
            UOID = ++uoidCnt;
        }

        public abstract Organism Mutate();

        public abstract int Fitness();
    }
}
